It means you are currently using Adobe Reader 9.2.0
http://kb2.adobe.com/cps/500/cpsid_50026.html

Please verify the above is correct by opening Adobe Reader > Help > About Adobe Reader 9.

If you have v9.2, you need to update to v9.4 from:
ftp://ftp.adobe.com/pub/adobe/reader/win/9.x/9.4.0/en_US/AdbeRdr940_en_US.exe (this is direct download of the new version with security fixes)
Or from:
http://get.adobe.com/reader/
NOTE: Uncheck the box for any third-party software e.g. McAfee, Google Chrome, Google toolbar, et al.

Or allow Adobe Reader updater to download and install it for you, IF YOU HAVE Adobe Reader updater settings as "Automatically download updates, but let me choose when to install them". If your settings is not that one, then you should not see the offer but you still need to update Adobe Reader if you have earlier version.